%define dist el6
%define site .CTBTO
%define _version 10.1.0.5.0
%define _release 20060519

Summary: Oracle InstantClient for BuildSystem dependencies
Name: instantclient
Version: %{_version}
Release: %{_release}.1%{site}.%{dist}
Packager: Michael Lang <Michael.Lang@ctbto.org>
License: Oracle
Group: Development/Libraries
URL: http://www.oracle.com/technetwork/database/features/oci/index.html
BuildArch: x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: instantclient-basic-linuxAMD64-%{_version}-%{_release}.zip
Source1: instantclient-sdk-linuxAMD64-%{_version}-%{_release}.zip

%description
Oracle Call Interface
Reliable - the Oracle Database executes SQL Statements with OCI.

Oracle Call Interface (OCI) is the most comprehensive, high performance, native 'C' language based interface to the Oracle Database that exposes the full power of the Oracle Database. OCI provides the foundation on which various language specific interfaces such as Oracle JDBC-OCI, ODP.Net, Oracle Precompilers, Oracle ODBC and Oracle C++ Call Interface (OCCI) drivers are built. OCI is also used by leading Open Source interfaces such as the PHP OCI8 extension, ruby-oci8, Perl DBD::oracle and Python cx_oracle. OCI being the native interface to the Oracle Database also powers queries, statements and calls issued by the Oracle Database kernel internally. Various Oracle tools such as SQL*Plus, Real Application Testing (RAT), SQL*Loader and Data-Pump are also OCI based. In addition, Oracle In-Memory Database Cache (IMDB Cache a.k.a. TimesTen) supports OCI and Oracle Pro*C/C++ Pre-compilers. Oracle Instant Client gives ISVs and customers the ability to quickly install and deploy Oracle applications. See the Oracle Instant Client site for more information.

%prep
rm -rf $RPM_BUILD_ROOT

%build

%install
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
unzip -x -j -d %{buildroot}%{_libdir} %{SOURCE0}
unzip -x -j -d %{buildroot}%{_includedir} %{SOURCE1} '*/sdk/include/*'
find %{buildroot} -type f | sed -e " s#%{buildroot}##; " > filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist
%defattr(-,root,root,-)

%changelog
* Thu Jun 28 2007 Michael Lang <Michael.Lang@ctbto.org> - 10.1.0.5.0-20060519.1.CTBTO.el6
- Specfile autogenerated.

